<%--
 $Id: showDaySchedule.jsp 16934 2019-10-04 05:54:46Z arakaki $
--%>

<%@ page pageEncoding="UTF-8" import="jp.jasminesoft.jfc.JFCUtils,jp.jasminesoft.jfc.IActionParameter,java.util.*" errorPage="error.jsp" %>
<%@ include file="./showSchedule_common.jsp" %>
<fmt:setBundle basename="jfcapp"/>
<jfc:ifLogon not="true">
<c:redirect url="/system/iflogonerror.jsp"/>
</jfc:ifLogon>
<%
  jp.jasminesoft.jfc.model.jcalendar_lp.JcalendarLp jcalendar_lp =
    (jp.jasminesoft.jfc.model.jcalendar_lp.JcalendarLp)request.getAttribute("jcalendar_lp");

  //System.out.println(jcalendar_lp);
  String locale = (String)session.getAttribute("__jfc_locale");
  int __targetmonth = 0; // dummy
  String __insertUrl = jcalendar_lp.getInserturl();
  String __caption = getCaption(jcalendar_lp, Calendar.DAY_OF_MONTH, locale);
  request.setAttribute("__caption",__caption);

  Boolean isRokuyoFlag = (Boolean)request.getAttribute(IActionParameter.RokuyoCalendarAttrName);

  jp.jasminesoft.jfc.model.jcalendar_lp.Item[] items = jcalendar_lp.getItem();
%>

<table width="100%" class="display_table" cellspacing="1">
<caption class="schedule"><c:out value="${__caption}"/></caption>
<tr>
  <th class="schedule_header" width="10%"><fmt:message key="__jfc_common.displaycalendar.label.date"/></th>
  <th class="schedule_header" width="30%"><fmt:message key="__jfc_common.displaycalendar.label.title"/></th>
  <th class="schedule_header" width="15%"><fmt:message key="__jfc_common.displaycalendar.label.place"/></th>
  <th class="schedule_header" width="30%"><fmt:message key="__jfc_common.displaycalendar.label.staff"/></th>
  <th class="schedule_header" width="15%"><fmt:message key="__jfc_common.displaycalendar.label.note"/></th>
</tr>
<%
  for (int i=0; i<items.length; i++) {

    String __holiday = items[i].getHoliday();
    String __pos = items[i].getPosition();
    int __youbi = getProperYoubi(items[i].getDate());
    String __youbi_key = getYoubiInnerMessageKeyName(__youbi);
    String __css_field = getCssFieldByDate(items[i], i, __targetmonth);
%>
<tr>
  <td class="<%= __css_field %>" style="padding-top:10px;padding-bottom:10px;" colspan="5"><%= simpleFormat(items[i], locale) %>
<%
  if (__youbi == Calendar.SUNDAY) {
%>
    <span style="color:red">
<%
  } else if (__youbi == Calendar.SATURDAY) {
%>
    <span style="color:blue">
<%
  } else {
%>
    <span>
<%
  }
%>
    <fmt:message key="<%= __youbi_key %>"/>
    </span>
<%
    if (isRokuyoFlag != null) {
%>
<br/>
<span style="color:gray">
<script language="JavaScript">
<!--
document.write(getRokuyo(<%= getYearAsString(items[i]) %>,<%= getMonthAsString(items[i]) %>,<%= getDateAsString(items[i]) %>));
-->
</script>
</span>
<%
    }
    if (isNotBlank(__insertUrl)) {
%>
    <a href="<%= __insertUrl %>?action_New=&amp;targetdate=<%= items[i].getDate() %>"><img src="img/pencil.gif" width="16" border="0"/></a>
<%
    }
%>
  </td>
</tr>
<%
    jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem[] citems =
      items[i].getCalendaritem();
    if (citems != null) {
        org.apache.commons.collections.comparators.ComparatorChain comp_hmt = 
            new org.apache.commons.collections.comparators.ComparatorChain();
          comp_hmt.addComparator(new org.apache.commons.beanutils.BeanComparator("starthour.id"));
          comp_hmt.addComparator(new org.apache.commons.beanutils.BeanComparator("startminute.id"));
          comp_hmt.addComparator(new org.apache.commons.beanutils.BeanComparator("title"));
          try {
            Arrays.sort(citems, comp_hmt);
          } catch (Exception e) {
            List<jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem> citemlist_tmp = new ArrayList();
            List<jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem> citemlist_notime = new ArrayList();
            for (jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem citem : citems) {
                if (citem.getStarthour()==null || citem.getStartminute()==null) {
                    citemlist_notime.add(citem);
                } else {
                    citemlist_tmp.add(citem);
                }
            }
            org.apache.commons.collections.comparators.ComparatorChain comp_t = 
              new org.apache.commons.collections.comparators.ComparatorChain();
            comp_t.addComparator(new org.apache.commons.beanutils.BeanComparator("title"));
            try {
              Collections.sort(citemlist_notime, comp_t);
              Collections.sort(citemlist_tmp, comp_hmt);
              citemlist_notime.addAll(citemlist_tmp);
              citems = citemlist_notime.toArray(new jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem[0]);
            } catch (Exception e1) {
              try {
                Arrays.sort(citems, comp_t);
              } catch (Exception e2) {
              }
            }
          }

      for (int j=0; j<citems.length; j++) {
        String __primarykeyname = citems[j].getPrimarykeyname();
        jp.jasminesoft.jfc.model.jcalendar_lp.Starthour _starthour = citems[j].getStarthour();
        jp.jasminesoft.jfc.model.jcalendar_lp.Startminute _startminute = citems[j].getStartminute();
        jp.jasminesoft.jfc.model.jcalendar_lp.Endhour _endhour = citems[j].getEndhour();
        jp.jasminesoft.jfc.model.jcalendar_lp.Endminute _endminute = citems[j].getEndminute();
%>
<tr>
<td class="<%= __css_field %>" style="text-align:right;padding-right:10px;padding-top:10px;padding-bottom:10px;">
<%
        if (_starthour != null && _starthour.getId() >= 0) {
%>
        <%= _starthour.getContent() %>:
<%
          if (_startminute == null || _startminute.getId() == 0) {
%>
        00
<%
          } else {
%>
        <%= _startminute.getContent() %>
<%
          }
        } 
        if (_endhour != null && _endhour.getId() >= 0) {
%>
        ..<%= _endhour.getContent() %>:
<%
          if (_endminute.getId() == 0) {
%>
        00
<%
          } else {
%>
        <%= _endminute.getContent() %>
<%
          }
        } 
%>
</td>

<td class="<%= __css_field %>" style="padding-left:8px;padding-top:10px;padding-bottom:10px;">
<%
        String __title = citems[j].getTitle();
        if (__title != null && (!__title.equals(__holiday))) {
          request.setAttribute("__title",__title);
  	  if (isNotBlank(citems[j].getUpdateurl())) {
            String __url = citems[j].getUpdateurl() + "?sessionId=" + JFCUtils.getMD5Hash(session) + "&action_Update=&" + JFCUtils.createHTTPGetParameterForPrimaryKey(__primarykeyname, citems[j].getCalendarid());
%>
          <a href="<%= __url %>"><img src="img/pencil_update.gif" width="16" border="0"/></a>
<%
	  }
          if (isNotBlank(citems[j].getShowurl())) {
            String __url = citems[j].getShowurl() + "?" + JFCUtils.createHTTPGetParameterForPrimaryKey(__primarykeyname, citems[j].getCalendarid());
%>
          <a href="<%= __url %>"><c:out value="${__title}"/></a>
<%
          } else {
%>
          <span><c:out value="${__title}"/></span>
<%
          }
        }
        if (isNotBlank(citems[j].getDeleteurl())) {
          String __url = citems[j].getDeleteurl() + "?sessionId=" + JFCUtils.getMD5Hash(session) + "&action_Send=&" + JFCUtils.createHTTPGetParameterForPrimaryKey(__primarykeyname, citems[j].getCalendarid());
%>
        [ <a href="<%= __url %>" onClick="var ret = doConfirm(this, '<fmt:message key="__jfc_common.link.button.Delete.confirm"/>');return ret;">x</a> ]
<%
        }
%>
</td>

<td class="<%= __css_field %>" style="padding-left:8px;padding-top:10px;padding-bottom:10px;">
<%
        String __place = citems[j].getPlace();
        if (__place != null) {
          request.setAttribute("__place",__place);
%>
        <c:out value="${__place}"/>
<%
        }
%>
</td>

<td class="<%= __css_field %>" style="padding-left:8px;padding-top:10px;padding-bottom:10px;">
<%
        String __staff = citems[j].getStaff();
        if (__staff != null) {
          request.setAttribute("__staff",__staff);
%>
        <c:out value="${__staff}"/>
<%
        }
%>
</td>

<td class="<%= __css_field %>" style="padding-left:8px;padding-top:10px;padding-bottom:10px;">
<%
        String __note = citems[j].getNote();
        if (__note != null) {
          request.setAttribute("__note",__note);
%>
        <c:out value="${__note}"/>
<%
        }
%>
</td>
</tr>
<%
      }
    }
  }
%>
</table>
